LIGHTTPD-ANGEL(8)

NAME
lighttpd-angel - monitor/supervise lighttpd daemon

SYNOPSIS
lighttpd-angel <args>

DESCRIPTION
lighttpd-angel monitors/supervises lighttpd daemon (started with <args>). lighttpd-angel will restart lighttpd if lighttpd exits for any reason, other than by signals sent by lighttpd-angel.

Send lighttpd-angel SIGINT to initiate graceful shutdown of lighttpd.

Send lighttpd-angel SIGTERM to initiate shutdown of lighttpd.

Send lighttpd-angel SIGHUP to initiate restart of lighttpd, reloading config.

SEE ALSO
Online Documentation:

https://blog.lighttpd.net/articles/2007/09/02/there-is-an-angel-for-lighty/

AUTHOR
Jan Kneschke <jan@kneschke.de>